为了账号安全,请及时绑定邮箱和手机立即绑定

Spring Boot自定义版本

2017.08.09 12:59 3550浏览

Spring Boot Starter 已经提供了各种依赖的集成,对于用户来说,只需要设置相应的Spring Boot Starter 版本即可。

但有时,Spring Boot Starter 中依赖版本,并不是我们想要的,此时需要自定义依赖的版本。

实现自定义Spring Boot版本

比如,我们想修改 slf4j 的版本,我们可以这么做:

<properties>
    <slf4j.version>1.7.5<slf4j.version>
</properties>

这样,就能指定 slf4j 的版本了。

如果你想知道 slf4j.version 这个依赖的默认版本是什么,可以查看这个

https://github.com/spring-projects/spring-boot/blob/1.5.x/spring-boot-dependencies/pom.xml

其他的依赖也是类。

参考
点击查看更多内容
1人点赞

若觉得本文不错,就分享一下吧!

评论

相关文章推荐

正在加载中
意见反馈 去赚学费 帮助中心 APP下载
官方微信

举报

0/150
提交
取消